/*
	SambaScanner - A tool to scan Samba networks for files.
	Copyright (C) 2005-2007 Johannes Bauer
	
	This file is part of SambaScanner.

    SambaScanner is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; this program is ONLY licensed under
	version 2 of the License, later versions are explicitly excluded.

    SambaScanner is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SambaScanner; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Johannes Bauer
	Mussinanstr. 140
	92318 Neumarkt/Opf.
	JohannesBauer@gmx.de
*/

#include <stdio.h>
#include <sys/time.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <string.h>

#include "Tools.h"

double GetTime() {
	struct timeval TimeVal;
	gettimeofday(&TimeVal, NULL);
	return ((double)TimeVal.tv_sec+((double)TimeVal.tv_usec/1000000.0));
}

char *SignalMessage(int Status) {
	int Sig;
	if (!WIFSIGNALED(Status)) return "No signal";

	Sig = WTERMSIG(Status);
	switch (Sig) {
		case SIGTERM: return "SIGTERM";
		case SIGKILL: return "SIGKILL";
		case SIGPIPE: return "SIGPIPE";
	}	
		
	return NULL;
}

void Escape_Apostrophes(char *Destination, char *Source, int Length) {
	int i;
	int StrLen = strlen(Source);
	char Buffer[2];
	Buffer[1] = 0;
	Destination[0] = 0;
	for (i = 0; i < StrLen; i++) {
		if (Source[i] != '\'') {
			Buffer[0] = Source[i];
			strncat(Destination, Buffer, Length);
		} else {
			strncat(Destination, "\\'", Length);
		}
	}
}

